package _VisualDVM.ProjectData.SapforData.Functions.UI.Graph;
import Common.Visual.ControlForm;
import Common.Visual.UI_;
import _VisualDVM.Global;
import com.mxgraph.swing.mxGraphComponent;

import java.awt.*;
public class FunctionsGraphForm extends ControlForm<mxGraphComponent> {
    public FunctionsGraphForm() {
        super(mxGraphComponent.class);
    }
    @Override
    public void CreateControl() {
        control = Global.mainModule.getProject().DrawFunctionsGraph();
    }
    @Override
    public void Show() {
        super.Show();
        content.add(scroll, BorderLayout.CENTER);
        content.updateUI();
    }
    @Override
    public void Clear() {
        super.Clear();
        UI_.Clear(content);
    }
}
